NtlmAuthTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class NtlmAuthTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.NtlmAuthTest

-     public class NtlmAuthTest
      extends TestBase

  Unit test for NTLM challenge/response calculation
  Version:
    $Id: NtlmAuthTest.java,v 1.5.2.1 2009-08-04 10:33:54 ickzon Exp $
  Author:
    mdb

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NtlmAuthTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `hexToBytes(java.lang.String hex)`
    `void` | `testChallengeResponse()` Tests the NT challenge/response against a known-good value.
    `void` | `testLMv2()`
    `void` | `testLMv2CapturedData()`
    `void` | `testNTLMv2()`
    `void` | `testNTLMv2CapturedData()`
    `void` | `testTimestampConversion()`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NtlmAuthTest

          public NtlmAuthTest(java.lang.String name)

  - ### Method Detail

    - #### hexToBytes

          public static byte[] hexToBytes(java.lang.String hex)

    - #### testChallengeResponse

          public void testChallengeResponse()
                                     throws java.lang.Exception

      Tests the NT challenge/response against a known-good value. This was captured from a successful login to one of my (mdb's) test computers.
      Throws:
        `java.lang.Exception`

    - #### testLMv2

          public void testLMv2()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNTLMv2

          public void testNTLMv2()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTimestampConversion

          public void testTimestampConversion()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testLMv2CapturedData

          public void testLMv2CapturedData()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNTLMv2CapturedData

          public void testNTLMv2CapturedData()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Generated on June 8 2013